<?php
/**
*
*===================================================================
*
*  Crunch -- Documentation Viewer
*-------------------------------------------------------------------
*	Script info:
* Version:		1.0.0 - "Moonshine" - RC 2
* Copyright:	(c) 2009 - Obsidian
* License:		http://opensource.org/licenses/gpl-license.php  |  GNU Public License v2
* Package:		phpBB3
*
*===================================================================
*
* Documentation/FAQ file for Crunch 1.0.x
*
*/

/**
* @ignore
*/
define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);
include($phpbb_root_path . 'common.' . $phpEx);

// Start session management
$user->session_begin();
$auth->acl($user->data);
$user->setup('mods/lang_crunch');

$mode = request_var('mode', '');

// Load Crunch Documentation File -- Use FAQ codebase.
$l_title = $user->lang['CRUNCH_DOCS_EXPLAIN'];
$user->add_lang('crunch_docs', false, true);

// Pull the array data from the lang pack
$help_blocks = array();
foreach ($user->help as $help_ary)
{
	if ($help_ary[0] == '--')
	{
		$template->assign_block_vars('faq_block', array(
			'BLOCK_TITLE'		=> $help_ary[1])
		);

		continue;
	}

	$template->assign_block_vars('faq_block.faq_row', array(
		'FAQ_QUESTION'		=> $help_ary[0],
		'FAQ_ANSWER'		=> $help_ary[1])
	);
}

// Lets build a page ...
$template->assign_vars(array(
	'L_FAQ_TITLE'	=> $l_title,
	'L_BACK_TO_TOP'	=> $user->lang['BACK_TO_TOP'])
);

page_header($l_title);

$template->set_filenames(array(
	'body' => 'faq_body.html')
);

page_footer();

/**
 *	Does it radiate?
 *	Does it break your heart in two?
 */
?>