<?php
/**
*
*===================================================================
*
*  Crunch -- ACP Module Info File
*-------------------------------------------------------------------
*	Script info:
* Version:		1.0.0 - "Moonshine" - RC 2
* Copyright:	(c) 2009 - Obsidian
* License:		http://opensource.org/licenses/gpl-license.php  |  GNU Public License v2
* Package:		ACP
*
*===================================================================
*
*/

/**
* @package module_install
*/
class acp_crunch_info
{
	function module()
	{
		global $user;
		$user->add_lang('mods/info_acp_crunch');
		return array(
			'filename'	=> 'acp_crunch',
			'title'		=> 'ACP_CRUNCH',
			'version'	=> '1.0.0',
			'modes'		=> array(
				'settings'		=> array('title' => 'ACP_CRUNCH_SETTINGS', 'auth' => 'acl_a_crunch_settings', 'cat' => array('ACP_DOT_MODS')),
				'manage'		=> array('title' => 'ACP_CRUNCH_MANAGE', 'auth' => 'acl_a_crunch_manage', 'cat' => array('ACP_DOT_MODS')),
				'tags'		=> array('title' => 'ACP_CRUNCH_TAGS', 'auth' => 'acl_a_crunch_tags', 'cat' => array('ACP_DOT_MODS')),
			),
		);
	}

	function install()
	{
	}

	function uninstall()
	{
	}
}

?>