/*

 $Id: $

*/

BEGIN TRANSACTION
GO

/*
	Table: 'phpbb_crunch'
*/
CREATE TABLE [phpbb_crunch] (
	[crunch_id] [int] IDENTITY (1, 1) NOT NULL ,
	[poster_id] [int] DEFAULT (0) NOT NULL ,
	[crunch_subject] [varchar] (255) DEFAULT ('') NOT NULL ,
	[crunch_text] [text] DEFAULT ('') NOT NULL ,
	[crunch_options] [int] DEFAULT (7) NOT NULL ,
	[crunch_bitfield] [varchar] (255) DEFAULT ('') NOT NULL ,
	[crunch_uid] [varchar] (8) DEFAULT ('') NOT NULL 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO

ALTER TABLE [phpbb_crunch] WITH NOCHECK ADD 
	CONSTRAINT [PK_phpbb_crunch] PRIMARY KEY  CLUSTERED 
	(
		[crunch_id]
	)  ON [PRIMARY] 
GO


/*
	Table: 'phpbb_crunch_tags'
*/
CREATE TABLE [phpbb_crunch_tags] (
	[tag_id] [int] IDENTITY (1, 1) NOT NULL ,
	[crunch_id] [int] DEFAULT (0) NOT NULL ,
	[tag_word] [varchar] (255) DEFAULT ('') NOT NULL ,
	[tag_enable] [int] DEFAULT (1) NOT NULL 
) ON [PRIMARY]
GO

ALTER TABLE [phpbb_crunch_tags] WITH NOCHECK ADD 
	CONSTRAINT [PK_phpbb_crunch_tags] PRIMARY KEY  CLUSTERED 
	(
		[tag_id]
	)  ON [PRIMARY] 
GO



COMMIT
GO

