<?php
/**
*
*===================================================================
*
*  Crunch -- Language File
*-------------------------------------------------------------------
*	Script info:
* Version:		1.0.0 - "Moonshine" - RC 2
* Copyright:	(c) 2009 - Obsidian
* License:		http://opensource.org/licenses/gpl-license.php  |  GNU Public License v2
* Package:		Language [en]
*
*===================================================================
*
*/

/**
* DO NOT CHANGE
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

if (empty($lang) || !is_array($lang))
{
	$lang = array();
}

// DEVELOPERS PLEASE NOTE
//
// All language files should use UTF-8 as their encoding and the files must not contain a BOM.
//
// Placeholders can now contain order information, e.g. instead of
// 'Page %s of %s' you can (and should) write 'Page %1$s of %2$s', this allows
// translators to re-order the output of data while ensuring it remains correct
//
// You do not need this where single placeholders are used, e.g. 'Message %d' is fine
// equally where a string contains only two placeholders which are used to wrap text
// in a url you again do not need to specify an order e.g., 'Click %sHERE%s' is fine

$lang = array_merge($lang, array(
//Main messages...
	'CRUNCH_INSTALL_MAIN'		=> 'Welcome to the Crunch <abbr title="Database Component Installer">DCI</abbr>.<br />Please click the link below to begin the installation of Crunch\'s tables, config entries, and permissions.',
	'INSTALL_CRUNCH'			=> 'Install Crunch',

	'CRUNCH_UPGRADE_MAIN'		=> 'Welcome to the Crunch <abbr title="Database Component Installer">DCI</abbr>.<br />Please click the link below to begin the Database-component upgrade of Crunch.',
	'UPGRADE_CRUNCH'			=> 'Upgrade Crunch',

//Success!
	'CRUNCH_INSTALLED'			=> 'Crunch has been successfully installed.  Tables, config entries, and authorizations have been added.<br />
								Please go to the ACP and assign Admin permissions under the Misc tab next to begin using Crunch!',
	'CRUNCH_UPGRADED'			=> 'Crunch has been successfully upgraded.<br />Enjoy using Crunch!',

//No upgrade needed.
	'CRUNCH_INSTALL_UP_TO_DATE'	=> 'Crunch\'s installation is complete and up-to-date and does not require upgrading, or upgraded files or not present.',
	
//Failure messages...
	'CRUNCH_UPGRADE_FAILED_UNK_VERS'		=> 'Crunch\'s upgrade encountered an unknown installation version and could not complete.',
	'CRUNCH_UPGRADE_FAILED_NOT_INST'		=> 'Crunch must be previously installed in order for an upgrade to be possible.',
	'CRUNCH_INSTALL_FAILED_NO_REINST'		=> 'Crunch\'s installation was aborted as a previous installation was detected.',
));

?>
