<?php
/**
*
*===================================================================
*
*  Crunch -- Example Usage Page
*-------------------------------------------------------------------
*	Script info:
* Version:		1.0.0 - "Moonshine" - RC 2
* Copyright:	(c) 2009 - Obsidian
* License:		http://opensource.org/licenses/gpl-license.php  |  GNU Public License v2
* Package:		phpBB3
*
*===================================================================
*
* Example usage file of Crunch 1.0.x, to demonstrate what all is necessary for a standalone usage page for Crunch.
*
*/

/**
* @ignore
*/
	define('IN_PHPBB', true);
	$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
	$phpEx = substr(strrchr(__FILE__, '.'), 1);
	include($phpbb_root_path . 'common.' . $phpEx);

/**
* Start session management
*/
	$user->session_begin();
	$auth->acl($user->data);
	$user->setup();
	
	include($phpbb_root_path . 'includes/crunch.' . $phpEx);
	crunch::init();
	crunch::load('crunch');

	$template->assign_var('S_CRUNCH_STANDALONE', true);
	
	page_header($user->lang['CRUNCH_SUBJECT']);
	
	$template->set_filenames(array(
		'body' => 'crunch_body.html'
	));
	
	page_footer();	
	
?>