#
# $Id: $
#

# Table: 'phpbb_crunch'
CREATE TABLE phpbb_crunch (
	crunch_id mediumint(8) UNSIGNED NOT NULL auto_increment,
	poster_id mediumint(8) UNSIGNED DEFAULT '0' NOT NULL,
	crunch_subject blob NOT NULL,
	crunch_text mediumblob NOT NULL,
	crunch_options int(11) UNSIGNED DEFAULT '7' NOT NULL,
	crunch_bitfield varbinary(255) DEFAULT '' NOT NULL,
	crunch_uid varbinary(8) DEFAULT '' NOT NULL,
	PRIMARY KEY (crunch_id)
);


# Table: 'phpbb_crunch_tags'
CREATE TABLE phpbb_crunch_tags (
	tag_id mediumint(8) UNSIGNED NOT NULL auto_increment,
	crunch_id mediumint(8) UNSIGNED DEFAULT '0' NOT NULL,
	tag_word blob NOT NULL,
	tag_enable tinyint(1) UNSIGNED DEFAULT '1' NOT NULL,
	PRIMARY KEY (tag_id)
);


